package com.bpcl.lpg.core.dao;

import com.bpcl.lpg.core.model.AlternateNumberOtpModel;
import de.hybris.platform.core.servicelayer.data.SearchPageData;
import com.bpcl.lpg.core.model.CashMemoFileTrackerModel;
import java.util.Date;
import com.bpcl.lpg.core.model.LpgUndeliveredReasonModel;
import com.bpcl.lpg.core.model.CashMemoModel;
import java.util.List;

public interface LpgDeliveryConfirmationDao
{
    List<Object> getOrderCountByAreaId(final String p0, final String p1);
    
    List<CashMemoModel> getCashMemoByStaffId(final String p0, final String p1, final String p2, final String p3, final String p4, final String p5);
    
    CashMemoModel getCashMemoDetails(final String p0);
    
    List<LpgUndeliveredReasonModel> getUndeliveredReasonCodes();
    
    CashMemoFileTrackerModel getCashMemoFilesData(final Date p0, final Date p1);
    
    SearchPageData<CashMemoModel> getCashMemoDetailsForExport(final Date p0, final Date p1, final int p2, final int p3);
    
    SearchPageData<CashMemoModel> getCashMemoDetailsForSendingOTP(final String p0, final String p1, final int p2, final int p3);
    
    CashMemoModel getCashMemoByRefillId(final int p0, final String p1, final boolean p2);
    
    List<CashMemoModel> getCashMemoByDistId(final int p0, final boolean p1);
    
    AlternateNumberOtpModel getOtpCountByMobileNumber(final String p0);
    
    CashMemoModel getCashMemoByRefillId(final String p0);
}
